nix3-hash(1)

Warning: This program is experimental and its interface is subject to change.

Name
nix hash - compute and convert cryptographic hashes

Synopsis
nix hash [option…] subcommand

where subcommand is one of the following:

•   nix hash file (./nix3-hash-file.md) - print cryptographic hash of a regular file

•   nix hash path (./nix3-hash-path.md) - print cryptographic hash of the NAR serialisation of a path

•   nix hash to-base16 (./nix3-hash-to-base16.md) - convert a hash to base-16 representation

•   nix hash to-base32 (./nix3-hash-to-base32.md) - convert a hash to base-32 representation

•   nix hash to-base64 (./nix3-hash-to-base64.md) - convert a hash to base-64 representation

•   nix hash to-sri (./nix3-hash-to-sri.md) - convert a hash to SRI representation